### Method

# Foundry PathCache insert

#### Declaration [src]

    void
    foundry_path_cache_insert (
      FoundryPathCache* self,
      const char* program_name,
      const char* program_path
    )

#### Description [src]

Inserts a cache entry for `program_name` for `program_path`.

`program_path` may be `NULL` to register a negative cache entry. See `foundry_path_cache_lookup()` for handling negative cache entries.

#### Parameters

`program_name`

  Type: `const char*`

  The name of the program.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`program_path`

  Type: `const char*`

  The path for the program.

  The argument can be `NULL`.
  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.